Name:		gai
Version:	0.5.8
Release:	0.fdr.2.2
Epoch:		0
Summary:	Generic Applet Interface

Group:		User Interface/Desktops
License:	GPL
URL:		http://gai.sourceforge.net
Source0:	http://download.sf.net/gai/gai-0.5.8.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libgnomeui-devel, gtk2-devel >= 0:2.2, gnome-panel-devel

%package	devel
Summary:	Library and headers for Generic Applet Interface
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pkgconfig, pango-devel, gtk2-devel, gnome-panel-devel, libgnomeui-devel

%description
This library provides a generic interface for developing applets for Gnome 2
and Windowmaker.

This is the package required to run precompiled GAI applets.

%description devel
This library provides a generic interface for developing applets for Gnome 2
and Windowmaker.

You should install the gai-devel package if you would like to compile
GAI applets.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT/%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING.LIB ChangeLog README* THANKS TODO WINDOWMANAGERS
%{_libdir}/libgai.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/*
%{_includedir}/gai/*
%{_libdir}/pkgconfig/*
%{_libdir}/libgai.so

%changelog
* Mon Nov 22 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.5.8-0.fdr.2
- s/gnome-panel/gnome-panel-devel/g for FC2.

* Sat Nov  6 2004 Michel Alexandre Salim <michel.salim@gmail.com> - 0.5.8-0.fdr.1
- Updated to latest release

* Fri Oct 31 2003 Michel Alexandre Salim <salimma[AT]users.sf.net> - 0.5.0-0.fdr.0.4.pre4
- BuildRequires: gnome-panel added

* Thu Oct 30 2003 Michel Alexandre Salim <salimma[AT]users.sf.net> - 0.5.0-0.fdr.0.3.pre4
- Added missing dependency on libgnomeui-devel (bad gnome-panel dep)
- Minimum version specified for gtk2

* Wed Oct 29 2003 Michel Alexandre Salim <salimma[AT]users.sf.net> - 0.5.0-0.fdr.0.2.pre4
- Added dependencies to gai-devel
- Removed unnecessary macros from URLs
- Moved libgai.so to -devel

* Tue Oct 28 2003 Michel Alexandre Salim <salimma[AT]users.sf.net> - 0.5.0-0.fdr.0.1.pre4
- Fixed broken library naming (thanks Michael Schwendt)
 
* Mon Oct 27 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0.5.0-0.fdr.0.pre4
- Update to 0.5.0pre4; API change between 0.4.x and 0.5.0.
- Most GAI applets now developed for 0.5.0, since 0.4.1 is not in Fedora yet one might as well move to 0.5.0 now.

* Tue May 13 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0.4.1-0.fdr.1
- Adapted from upstream spec
